require 'English'
require 'gitme/command_line_options'

class Gitme
  class Error < StandardError; end

  def initialize(settings)
    @settings = settings
  end

  def execute!
    clone
  end

  def clone
    `git clone #{@settings[:repository]} #{@settings[:name]}`
    if $?.exitstatus > 0
      raise(Gitme::Error, "Git failed to clone #{@settings[:repository]}")
    end
  end

end
